extends Panel

@onready var has_stage = true:
	set(focus):
		if focus:
			has_stage = State.request_focus(self)
		else:
			has_stage = false            
			State.drop_own_focus(self)

func _ready():
	theme = State.current_main_theme
	State.theme_changed.connect(func change_theme(new_theme): theme = new_theme)
